import type { Metadata, ResolvedMetadata, ResolvingMetadata } from './types/metadata-interface';
import { LoaderTree } from '../../server/lib/app-dir-module';
declare type MetadataResolver = (_parent: ResolvingMetadata) => Metadata | Promise<Metadata>;
export declare type MetadataItems = [
    Metadata | MetadataResolver | null,
    Metadata | null
][];
export declare function collectMetadata(loaderTree: LoaderTree, props: any, array: MetadataItems): Promise<void>;
export declare function accumulateMetadata(metadataItems: MetadataItems): Promise<ResolvedMetadata>;
export {};
